/*****************************************************************************

       COPYRIGHT (C) 2008 by ACCUWEATHER, INC.

       WARNING - Notice of Ownership and Copyright.
       These programs are the exclusive property of AccuWeather, Inc.
       They contain trade secrets and/or copyrighted materials.  Removal
       of these programs, in any form, from the business premises of
       AccuWeather, Inc. may lead to civil and criminal penalties.
       Copyright by AccuWeather, Inc.  These programs may not be
 	   reproduced electronically or by any other means under penalty
       of law.  This notice may not be removed or deleted from these
       programs.

*******************************************************************************/

function controlButton()	{
	if (isExpanded == true)	{
		$('#forecastbutton').one('click', function() {
			closeForecast();			
		});
	} else {
		$('#forecastbutton').one('click', function() {
			openForecast();			
		});
	}
}

function openForecast() {
	isExpanded = true;
	
	$('#currenthigh, #currenthighs, #currentlow, #currentlows').animate({
		opacity: 0												
	}, {
		duration: 150																	
	});
	
	$('#forecastbutton, #ibutton').animate({
		top: '-=12px'								   
	}, {
		duration: 150						   
	});
	
	nativeWindow.height = 205;
	
	$('#background').animate({
		height: "205px"		 
	}, {
		duration: 150,
		complete: function() {
			controlButton();
			
			$('#forecast').css('overflow', 'inherit').animate({
				opacity: 1			   
			}, {
				duration: 150		   
			});
		}
	});
}

function closeForecast()	{
	isExpanded = false;
	
	$('#forecast').animate({
		opacity: 0			   
	}, {
		duration: 200,
		complete: function() {
			$('#background').animate({
				height: "100px"		 
			}, {
				duration: 250,
				complete: function() {
					controlButton();
					nativeWindow.height = 100;
					$('#forecast').css('overflow', 'hidden');
				}						 
			});
			
			$('#currenthigh, #currenthighs, #currentlow, #currentlows').animate({
				opacity: 1
			}, {
				duration: 250																	
			});
			
			$('#forecastbutton, #ibutton').animate({
				top: '+=12px'								   
			}, {
				duration: 250						   
			});
		}
	});
}