/*****************************************************************************

       COPYRIGHT (C) 2008 by ACCUWEATHER, INC.

       WARNING - Notice of Ownership and Copyright.
       These programs are the exclusive property of AccuWeather, Inc.
       They contain trade secrets and/or copyrighted materials.  Removal
       of these programs, in any form, from the business premises of
       AccuWeather, Inc. may lead to civil and criminal penalties.
       Copyright by AccuWeather, Inc.  These programs may not be
 	   reproduced electronically or by any other means under penalty
       of law.  This notice may not be removed or deleted from these
       programs.

*******************************************************************************/

// Menu to be displayed when you click the city name
var mainMenu;
var changeLocation;
var seperator = new air.NativeMenuItem("", true);
var locationList;
var clearCurrent;
var clearRecent;

function displayMainMenu() {
	mainMenu = new air.NativeMenu();
	
	changeLocation = new air.NativeMenuItem("Change Location", false);
	changeLocation.addEventListener(air.Event.SELECT, openPreferences);
	mainMenu.addItem(changeLocation);
	
	mainMenu.addItem(new air.NativeMenuItem("", true));
	
	var recentLocation = new air.NativeMenuItem("Recent Locations", false);
	recentLocation.enabled = false;
	mainMenu.addItem(recentLocation);
	
	locationList = new Array();
	select = new air.SQLStatement();
	select.sqlConnection = conn;
	var sql = "SELECT * FROM weather";
	select.text = sql;
	select.execute();
	var result = select.getResult();
	for (var i = 0; i < result.data.length; i++) {
		locationList[i] = new air.NativeMenuItem(result.data[i]['name'], false);
		if (locationString == result.data[i]['code']) {
			locationList[i].checked = true;
		}
		locationList[i].addEventListener(air.Event.SELECT, selectRecentLocation);
		mainMenu.addItem(locationList[i]);
	}
	
	mainMenu.addItem(new air.NativeMenuItem("", true));
	
	clearCurrent = new air.NativeMenuItem("Clear Current Location", false);
	clearCurrent.addEventListener(air.Event.SELECT, clearCurrentDatabase);
	mainMenu.addItem(clearCurrent);
	
	clearRecent = new air.NativeMenuItem("Clear Recent Locations", false);
	clearRecent.addEventListener(air.Event.SELECT, clearRecentDatabase);
	mainMenu.addItem(clearRecent);
	
	if (result.data.length == 1) {
		clearCurrent.enabled = false;
		clearRecent.enabled = false;
	}
	
	mainMenu.display(window.nativeWindow.stage, 10, 80);
}