/*****************************************************************************

       COPYRIGHT (C) 2008 by ACCUWEATHER, INC.

       WARNING - Notice of Ownership and Copyright.
       These programs are the exclusive property of AccuWeather, Inc.
       They contain trade secrets and/or copyrighted materials.  Removal
       of these programs, in any form, from the business premises of
       AccuWeather, Inc. may lead to civil and criminal penalties.
       Copyright by AccuWeather, Inc.  These programs may not be
 	   reproduced electronically or by any other means under penalty
       of law.  This notice may not be removed or deleted from these
       programs.

*******************************************************************************/

var trayMenu;

function setupTray() {
	removeTray();
	
	air.NativeApplication.nativeApplication.autoExit = false;
	trayMenu = new air.NativeMenu();
	
	var cl = new air.NativeMenuItem("Change Location", false);
	cl.addEventListener(air.Event.SELECT, openPreferences);
	trayMenu.addItem(cl);
	
	trayMenu.addItem(new air.NativeMenuItem("", true));
	
	var show = new air.NativeMenuItem("Show Widget", false);
	show.addEventListener(air.Event.SELECT, showWidget);
	trayMenu.addItem(show);
	
	trayMenu.addItem(new air.NativeMenuItem("", true));
	
	var close = new air.NativeMenuItem("Exit Widget", false);
	close.addEventListener(air.Event.SELECT, closeWidget);
	trayMenu.addItem(close);
	
	
	if (air.NativeApplication.supportsSystemTrayIcon) {
		var iconLoader = new air.Loader();
		iconLoader.contentLoaderInfo.addEventListener(air.Event.COMPLETE, function(event) {
			air.NativeApplication.nativeApplication.icon.bitmaps = new runtime.Array(event.target.content.bitmapData);
		});
		iconLoader.load(new air.URLRequest("images/system/16x16.png"));
		air.NativeApplication.nativeApplication.icon.addEventListener(window.runtime.flash.events.MouseEvent.CLICK, checkMinimizeLightweight);
		air.NativeApplication.nativeApplication.icon.tooltip = "AccuWeather.com Stratus";
		air.NativeApplication.nativeApplication.icon.menu = trayMenu;
	}
}

function setupTrayLightweight() {
	removeTray();
	
	trayMenu = new air.NativeMenu();
	
	var cl = new air.NativeMenuItem("Change Location", false);
	cl.addEventListener(air.Event.SELECT, openPreferences);
	trayMenu.addItem(cl);
	
	trayMenu.addItem(new air.NativeMenuItem("", true));
	
	var show = new air.NativeMenuItem("Show Widget", false);
	show.addEventListener(air.Event.SELECT, showWidget);
	trayMenu.addItem(show);
	
	trayMenu.addItem(new air.NativeMenuItem("", true));
	
	var close = new air.NativeMenuItem("Exit Widget", false);
	close.addEventListener(air.Event.SELECT, closeWidget);
	trayMenu.addItem(close);
	
	
	if (air.NativeApplication.supportsSystemTrayIcon) {
		var iconLoader = new air.Loader();
		iconLoader.contentLoaderInfo.addEventListener(air.Event.COMPLETE, function(event) {
			air.NativeApplication.nativeApplication.icon.bitmaps = new runtime.Array(event.target.content.bitmapData);
		});
		iconLoader.load(new air.URLRequest("images/system/16x16.png"));
		air.NativeApplication.nativeApplication.icon.addEventListener(window.runtime.flash.events.MouseEvent.CLICK, checkMinimizeLightweight);
		air.NativeApplication.nativeApplication.icon.tooltip = "AccuWeather.com Stratus";
		air.NativeApplication.nativeApplication.icon.menu = trayMenu;
	}
}

function removeTray() {
	air.NativeApplication.nativeApplication.icon.bitmaps = [];
	air.NativeApplication.nativeApplication.icon.menu = null;
}


function showWidget(event) {
	nativeWindow.visible = true;			
	nativeWindow.restore();
	nativeWindow.activate();
	nativeWindow.orderToFront();
}

function hideWidget() {	
	nativeWindow.minimize();
}

function closeWidget() {
	var screenWidth = parseInt(air.Screen.mainScreen.bounds.width);
	var screenHeight = parseInt(air.Screen.mainScreen.bounds.height);
	var appX = parseInt(window.nativeWindow.bounds.x);
	var appY = parseInt(window.nativeWindow.bounds.y);
	var xpercent = parseInt((appX / screenWidth) * 100);
	var ypercent = parseInt((appY / screenHeight) * 100);
	
	update = new air.SQLStatement();
	update.sqlConnection = conn;
	var sql = "UPDATE preference SET xposition = '" + xpercent + "', yposition = '" + ypercent + "' WHERE id = '0'";
	update.text = sql;
	update.execute();
	
	nativeWindow.activate();
	air.NativeApplication.nativeApplication.exit();
}

function checkMinimizeLightweight() {
	try {
		if (nativeWindow.displayState == "minimized") {
			showWidget();
		} else {
			hideWidget();
		}
	} catch(e) {}
}

function checkMinimize() {
	if (nativeWindow.displayState == "minimized") {
		if (taskbarPreference == 0) nativeWindow.visible = false;
		//setupTray();
	} else {
		//air.NativeApplication.nativeApplication.icon.bitmaps = [];
		nativeWindow.visible = true;
		nativeWindow.orderToFront();
	}
}