/*****************************************************************************

       COPYRIGHT (C) 2008 by ACCUWEATHER, INC.

       WARNING - Notice of Ownership and Copyright.
       These programs are the exclusive property of AccuWeather, Inc.
       They contain trade secrets and/or copyrighted materials.  Removal
       of these programs, in any form, from the business premises of
       AccuWeather, Inc. may lead to civil and criminal penalties.
       Copyright by AccuWeather, Inc.  These programs may not be
 	   reproduced electronically or by any other means under penalty
       of law.  This notice may not be removed or deleted from these
       programs.

*******************************************************************************/

var isOpaque = new Boolean(false);

function fadeElements(to) {
	$('#background, #cityhighlight').animate({
		opacity: to															   
	}, 200);
	
	$('#forecastbutton, #ibutton, #closebutton, #minimizebutton, #day, #night').animate({
		opacity: (to * 2)				 
	}, {
		duration: 200,
		complete: function() {
			if (to == .6) isOpaque = false;
			else isOpaque = true;
		}
	});
}

function controlElements() {
	nativeWindow.stage.addEventListener("mouseOver", function() {
		fadeElements(.6);
	});

	nativeWindow.stage.addEventListener("mouseOut", function() {
		if (air.Capabilities.os.indexOf("Mac") > -1) {
			fadeElements(0);
		} else {
			fadeElements(0.01);
		}
	});
	
	/* Bug fix: Accuweather hover issue. Initially, the opacity is
         * set to 0 by the css file. This reduces the hit area in
         * windows to only the icons and visible text. The fix is to
         * set the opacity to 0.01 initially (not just on mouse over)
         * so that the hit area is the entire application
         * background. */
        if (air.Capabilities.os.indexOf("Mac") == -1) {
            fadeElements(0.01);
        }
}

function controlCityName() {
	$('#city').click(function() {
		displayMainMenu();
	});
}

function controlIcon() {
	$('#currenticon').click(function() {
		var link;
		if (isInternational == true) {
			var strLocation = locationString;
			while (strLocation.indexOf("|") > -1) {
    			strLocation = strLocation.replace("|", "%7C");
   	 		}
			link = "http://www.accuweather.com/world-forecast-details.asp?partner=air2&locCode=" + strLocation + "&fday=0";
		} else { 
			link = "http://www.accuweather.com/forecast-details.asp?partner=air2&zipcode=" + locationString + "&fday=0";
		}
		var request = new air.URLRequest(link);
		air.navigateToURL(request);
	})
	
	$('#adclogo').click(function() {
		air.navigateToURL(new air.URLRequest('http://www.accuweather.com/?partner=air2'));							 
	});
}

function control5Day() {
	controlButton(); // FROM forecast.js
}

function controlWindow() {
	$('#closebutton').click(function() {
		closeWidget();							 
	});
	
	$('#minimizebutton').click(function() {
		hideWidget();								
	});
}

function setHomeEvents() {
	controlCityName();
	control5Day();
	controlWindow();
	controlIcon();
}